using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SteamWare;

namespace GMW_Term.WebUserControls
{
    public partial class mod_interrMov : System.Web.UI.UserControl
    {
        /// <summary>
        /// azioni setup a creazione controllo
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                pnlDetailCella.Visible = false;
                pnlDetailUdc.Visible = false;
                btnReset.Visible = false;
            }
            lblReset.Text = traduci("btnResetCtrl");
            btnReset.Text = traduci("btnResetCtrl");
        }
        /// <summary>
        /// wrapper traduzione termini
        /// </summary>
        /// <param name="lemma"></param>
        /// <returns></returns>
        public string traduci(string lemma)
        {
            return user_std.UtSn.Traduci(lemma);
        }
        /// <summary>
        /// mostro i dettagli dell'udc indicato
        /// </summary>
        public void showUdcDetail(string UDC)
        {
            memLayer.ML.setSessionVal("UDC4det_sel", UDC);
            memLayer.ML.setSessionVal("CodCS", memLayer.ML.confReadString("CodCS"));
            pnlDetailCella.Visible = false;
            pnlDetailUdc.Visible = true;
            btnReset.Visible = true;
        }
        /// <summary>
        /// mostro i dettagli dell'udc indicato
        /// </summary>
        public void showCellaDetail(string codCella)
        {
            memLayer.ML.setSessionVal("codCella4det_sel", codCella);
            pnlDetailCella.Visible = true;
            pnlDetailUdc.Visible = false;
            btnReset.Visible = true;
        }
        /// <summary>
        /// ricarica apgina corrente
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnResetCtrl_Click(object sender, EventArgs e)
        {
            memLayer.ML.emptySessionVal("codCella4det_sel");
            memLayer.ML.emptySessionVal("UDC4det_sel"); 
            Response.Redirect("~/interrMov.aspx");
        }
    }
}